Bug 903105 - xhci_runtime_read: reg 0x14 unimplemented
xhci_runtime_read: reg 0x14 unimplemented
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
7.0
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Gerd Hoffmann
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-23 03:06 EST by Suqin Huang
Modified: 2014-06-17 23:21 EDT (History)
9 users (show)

See Also:
Fixed In Version: qemu-kvm-1.5.0-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 05:19:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Suqin Huang 2013-01-23 03:06:48 EST
Description of problem:
"xhci_runtime_read: reg 0x1c unimplemented xhci_port_write (port 4): reg 0x4 unimplemented" error while boot guest with xhci controller.

Version-Release number of selected component (if applicable):
qemu-kvm-1.3.0-3.el7.x86_64
seabios-1.7.2-0.2.gita810e4e7.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1. boot guest
cmd

/usr/libexec/qemu-kvm -nodefaults -drive file='/home/autotest-devel/client/tests/kvm/images/RHEL-Server-6.4-64.qcow2',if=none,id=disk1,media=disk,cache=none,format=qcow2,aio=native -device ide-drive,bus=ide.0,drive=disk1 -device virtio-net-pci,netdev=idUMvixC,mac=9a:87:88:89:8a:8b,bus=pci.0,addr=0x3,id='idMztaHV' -netdev tap,id=idUMvixC,vhost=on,script=/home/autotest-devel/client/virt/scripts/qemu-ifup-switch -m 2048 -smp 2,cores=1,threads=1,sockets=2 -cpu 'Opteron_G3' -vnc :0 -vga cirrus -rtc base=utc,clock=host,driftfix=slew  -boot order=cdn,once=c,menu=off   -no-kvm-pit-reinjection -enable-kvm -monitor stdio -acpitable file=/root/seabios-rhel7/out/q35-acpi-dsdt.aml -M pc \
 -device nec-usb-xhci,bus=pci.0,id=xhci0,addr=0x6

2.
3.
  
Actual results:


Expected results:


Additional info:

1. error in qemu monitor
 xhci_runtime_read: reg 0x4 unimplemented
xhci_runtime_read: reg 0x8 unimplemented
xhci_runtime_read: reg 0xc unimplemented
xhci_runtime_read: reg 0x10 unimplemented
xhci_runtime_read: reg 0x14 unimplemented
xhci_runtime_read: reg 0x18 unimplemented
xhci_runtime_read: reg 0x1c unimplemented
xhci_port_write (port 4): reg 0x4 unimplemented
xhci_port_write (port 3): reg 0x4 unimplemented
xhci_port_write (port 2): reg 0x4 unimplemented
xhci_port_write (port 1): reg 0x4 unimplemented

2. dmesg
[438179.191211] device tap0 entered promiscuous mode
[438179.191265] switch: port 2(tap0) entered forwarding state
[438179.191269] switch: port 2(tap0) entered forwarding state
[438186.011234] kvm [30990]: vcpu0 unhandled rdmsr: 0xc001100d
[438186.018164] kvm [30990]: vcpu0 unhandled rdmsr: 0xc0010112
[438186.186866] kvm [30990]: vcpu0 unhandled rdmsr: 0xc0010001
[438186.211434] kvm [30990]: vcpu1 unhandled rdmsr: 0xc001100d
Comment 2 Gerd Hoffmann 2013-03-20 09:31:54 EDT
Will turn message into a tracepoint, planned for qemu 1.5.
Comment 3 Gerd Hoffmann 2013-05-14 10:10:18 EDT
upstream commit 0ab966cfcc7000baa2e7ef6df7771e73a2eb8a88
Comment 4 Miroslav Rezanina 2013-05-23 07:59:03 EDT
Build in qemu-kvm-1.5.0-1.el7
Comment 5 Sibiao Luo 2013-07-02 02:56:49 EDT
Reproduce this issue on qemu-kvm-1.4.0-4.el7.x86_64.
step:
the same to comment#0.
result:
error in qemu monitor.
xhci_runtime_read: reg 0x4 unimplemented
xhci_runtime_read: reg 0x8 unimplemented
xhci_runtime_read: reg 0xc unimplemented
xhci_runtime_read: reg 0x10 unimplemented
xhci_runtime_read: reg 0x14 unimplemented
xhci_runtime_read: reg 0x18 unimplemented
xhci_runtime_read: reg 0x1c unimplemented
xhci_port_write (port 4): reg 0x4 unimplemented
xhci_port_write (port 3): reg 0x4 unimplemented
xhci_port_write (port 2): reg 0x4 unimplemented
xhci_port_write (port 1): reg 0x4 unimplemented

Verify this issue on qemu-kvm-1.5.1-1.el7.x86_64.
step:
the same to comment#0.
result:
there is no any error in HMP monitor and guest dmesg when do boot/reboot/system_reset with xhci controller.

Base on above, this issue has been fixed correctly.
Comment 6 Ludek Smid 2014-06-13 05:19:41 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.